# .coveragerc to control coverage.py
[run]
branch = True
omit =
    */site-packages/*
    */distutils/*
    */test/*
    */__init__.py
    */setup.py
    */build_venv/*
	*/incl/*
source =
    cv_analysis
relative_files = True
data_file = .coverage

[report]
# Regexes for lines to exclude from consideration
exclude_lines =
    # Have to re-enable the standard pragma
    pragma: no cover

    # Don't complain about missing debug-only code:
    def __repr__
    if self\.debug

    # Don't complain if tests don't hit defensive assertion code:
    raise AssertionError
    raise NotImplementedError

    # Don't complain if non-runnable code isn't run:
    if 0:
    if __name__ == .__main__.:
omit =
    */test/*
    *test.py
    */__init__.py
    */setup.py
    */build_venv/*
	*/src/*
	*/incl/*

ignore_errors = True

[html]
directory = reports

[xml]
output = reports/coverage.xml
